Skip to main content
PATCH
/
webhooks
/
{webhook_id}
Update Webhook
curl --request PATCH \
  --url https://api.example.com/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "secret": "<string>",
  "is_active": true
}
'
{
  "id": "<string>",
  "org_id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

webhook_id
string
required

Body

application/json
url
string | null
events
string[] | null
secret
string | null
is_active
boolean | null

Response

Successful Response

id
string
required
org_id
string
required
url
string
required
events
string[]
required
is_active
boolean
required
created_at
string<date-time>
required
created_by_id
string | null
required